Home » Android » android – Could not resolve all dependencies for configuration ':_armv7DebugCompile'

android – Could not resolve all dependencies for configuration ':_armv7DebugCompile'

Posted by: admin April 23, 2020 Leave a comment

Questions:

The following error occurs when trying to build an android app with cordova and the cordova-crosswalk plugin:

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'android'.
> Could not resolve all dependencies for configuration ':_armv7DebugCompile'.
   > Could not find any version that matches com.android.support:support-v4:+.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-v4/maven-metadata.xml
         https://repo1.maven.org/maven2/com/android/support/support-v4/
         https://download.01.org/crosswalk/releases/crosswalk/android/maven2/com/android/support/support-v4/maven-metadata.xml
         https://download.01.org/crosswalk/releases/crosswalk/android/maven2/com/android/support/support-v4/
     Required by:
         :android:unspecified

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.918 secs

/home/remi/dev/git/gitlab/sirap-sas/tereo-mobile/platforms/android/cordova/node_modules/q/q.js:126
                    throw e;
                          ^
Error code 1 for command: /home/remi/dev/git/gitlab/sirap-sas/tereo-mobile/platforms/android/gradlew with args: cdvBuildDebug,-b,/home/remi/dev/git/gitlab/sirap-sas/tereo-mobile/platforms/android/build.gradle,-PcdvBuildArch=arm,-Dorg.gradle.daemon=true
ERROR running one or more of the platforms: Error: /home/remi/dev/git/gitlab/sirap-sas/tereo-mobile/platforms/android/cordova/run: Command failed with exit code 1
You may not have the required environment or OS to run this project
How to&Answers:

Please notice that section:

Could not resolve all dependencies for configuration ‘:_armv7DebugCompile’.

It can happen because building an android project with the crosswalk plugin try to build two apks : one for ARM, the other for x86.

The solution is to install Android Support Repository :

  • Open the SDK manager (from command line, type android).
  • Under Extras, Make sure you have Android Support Repository and Google Repository downloaded.

Answer:

Update answer

Seems starting from crosswalk 16, Android Support Repository and Google Repository is not enough.

You need to install Local Maven repository for Support Libraries from Extras as well.

Answer:

for me Solution was:
i updated crosswalk to @15.44.384.13

ionic browser add [email protected]

then i changed config.xml:

<preference name="xwalkVersion" value="15+" />

cuz versions “16+”“18+” not work for me

Answer:

It may be the problem when you did not include google support respository and android support repository under extras. as well as when you not update the cordova with your cordova platform.because cordova and cordova platform must be use latest version.update your Cordova with npm update cordova -g –save and cordova platform with cordova platform update platform_name(like android).

Answer:

This worked for me 

1.goto platforms\android\cordova-plugin-crosswalk-webview folder

2.Open .gradle file

3.find


    dependencies { compile xwalkSpec }

and replace with 

dependencies {
compile 'org.xwalk:xwalk_core_library:22.52.561.4' 
}

**

note: 22.52.561.4 is version of crasswalk on your machine
to know it , open ionic app , chrome://inspect then

window.navigator.userAgent

This will print some lines , copy xwalk details from there

Answer:

I know it’s a little late to add an answer. but I faced this issue for a long time and none of these steps fixed it. If your IP is from Iran, then you should build your project with VPN on. It seems that dependencies are banned for some countries.